/*!
 * @file fi_dng.h
 * @brief Definitions and declarations for Fastec DNG images.
 *
 * Copyright 2019 (c) Fastec Imaging as an unpublished work.
 * All Rights Reserved.
 *
 * The information contained herein is confidential property of
 * Fastec Imaging. The use, copying, transfer or disclosure of such
 * information is prohibited except by express written agreement
 * with Fastec Imaging.
 */

#ifndef FIVID_FI_DNG_H_
#define FIVID_FI_DNG_H_

//--------------------------------------------------------------------
// Includes
//--------------------------------------------------------------------

#include "fi_tiff.h"

namespace FI_DNG
{
//--------------------------------------------------------------------
// Constants, Typedefs and Macros
//--------------------------------------------------------------------

//--------------------------------------------------------------------
// Forward Declaration
//--------------------------------------------------------------------

//--------------------------------------------------------------------
// Class Declaration
//--------------------------------------------------------------------

class FiDNG : public FI_TIFF::FiTIFF
{
public:
    FiDNG();
    virtual ~FiDNG() {}
    virtual FAS_VIDEO::IMAGE_FORMAT GetImageFormat() override;

protected:
    virtual uint16_t get_photometric_interpretation(uint32_t fourcc) override;
    virtual void init_tag_db() override;

protected:
    virtual bool VerifyImageData(const uint8_t *imageDataToVerify, uint32_t imageDataSize) override;
};

} // End of FI_DNG
#endif  /* FIVID_FI_DNG_H_ */

