/*!
 * @file fi_sensor_types.h
 * @brief Definitions for the Fastec Imaging Sensor types.
 *
 * Copyright (C) 2011,2015 Fastec Imaging as an unpublished work.
 * All Rights Reserved.
 * The information contained herein is confidential property of
 * Fastec Imaging. The use, copying, transfer or disclosure of such
 * information is prohibited except by express written agreement
 * with Fastec Imaging.
 */

#ifndef FI_SENSOR_TYPES_H_
#define FI_SENSOR_TYPES_H_
#pragma once

//-----------------------------------------------------------------------------
// Constant Definitions
//-----------------------------------------------------------------------------

// This macro is how we create condensed tag information.
#define SENSOR_ID( a, b, c, d ) \
    ((((uint32_t)(a))<<24) | (((uint32_t)(b))<<16) | \
     (((uint32_t)(c))<<8)  | ((uint32_t)(d)))

// Tag defines.
#define FI_SENSOR_UNKNOWN		SENSOR_ID( 'U', 'N', 'K', 'N' )
#define FI_SENSOR_LUPA1300_MONO		SENSOR_ID( 'L', '1', '3', 'M' )
#define FI_SENSOR_LUPA1300_COLOR	SENSOR_ID( 'L', '1', '3', 'C' )
#define FI_SENSOR_LINCE5M_MONO		SENSOR_ID( 'A', 'L', '5', 'M' )
#define FI_SENSOR_LINCE5M_COLOR		SENSOR_ID( 'A', 'L', '5', 'C' )
#define FI_SENSOR_LUX13HS_MONO		SENSOR_ID( 'X', '3', 'H', 'M' )
#define FI_SENSOR_LUX13HS_COLOR		SENSOR_ID( 'X', '3', 'H', 'C' )
#define FI_SENSOR_LUX160_MONO		SENSOR_ID( 'X', '6', '0', 'M' )
#define FI_SENSOR_LUX160_COLOR		SENSOR_ID( 'X', '6', '0', 'C' )
#define FI_SENSOR_LUX19HS_MONO		SENSOR_ID( 'X', '9', 'H', 'M' )
#define FI_SENSOR_LUX19HS_COLOR		SENSOR_ID( 'X', '9', 'H', 'C' )
#define FI_SENSOR_LUX2100_MONO          SENSOR_ID( 'X', '2', '1', 'M' )
#define FI_SENSOR_LUX2100_COLOR         SENSOR_ID( 'X', '2', '1', 'C' )


#define IS_SENSOR_COLOR(id) (((id)==FI_SENSOR_LUPA1300_COLOR) || ((id)==FI_SENSOR_LINCE5M_COLOR)||\
			     ((id)==FI_SENSOR_LUX13HS_COLOR) || ((id)==FI_SENSOR_LUX19HS_COLOR) ||\
			     ((id)==FI_SENSOR_LUX2100_COLOR))

#endif /* FI_SENSOR_TYPES_H_ */

